# Ipopt::InexactTSymScalingMethod Class Reference

Class for the method for computing scaling factors for symmetric matrices in triplet format, specifically for the inexaxct algorithm. More...

`#include <IpInexactTSymScalingMethod.hpp>`

Inheritance diagram for Ipopt::InexactTSymScalingMethod:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual bool | ComputeSymTScalingFactors (Index n, Index nnz, const ipfint *airn, const ipfint *ajcn, const double *a, double *scaling_factors)
| Method for computing the symmetric scaling factors, given the symmtric matrix in triplet (MA27) format.
Constructor/Destructor
| InexactTSymScalingMethod ()
virtual | ~InexactTSymScalingMethod ()
## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| InexactTSymScalingMethod (const InexactTSymScalingMethod &)
| Copy Constructor.
void | operator= (const InexactTSymScalingMethod &)
| Overloaded Equals Operator.
InexactCq & | InexCq ()
| Method to easily access Inexact calculated quantities.

## Detailed Description

Class for the method for computing scaling factors for symmetric matrices in triplet format, specifically for the inexaxct algorithm.

The scaling is only considering the current slacks.

Definition at line 24 of file IpInexactTSymScalingMethod.hpp.

## Constructor & Destructor Documentation

Ipopt::InexactTSymScalingMethod::InexactTSymScalingMethod | ( |  | ) | `[inline]`

Definition at line 29 of file IpInexactTSymScalingMethod.hpp.

virtual Ipopt::InexactTSymScalingMethod::~InexactTSymScalingMethod | ( |  | ) | `[inline, virtual]`

Definition at line 32 of file IpInexactTSymScalingMethod.hpp.

Ipopt::InexactTSymScalingMethod::InexactTSymScalingMethod | ( | const InexactTSymScalingMethod & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::InexactTSymScalingMethod::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::TSymScalingMethod.

virtual bool Ipopt::InexactTSymScalingMethod::ComputeSymTScalingFactors | ( | Index | n,
|  | Index | nnz,
|  | const ipfint * | airn,
|  | const ipfint * | ajcn,
|  | const double * | a,
|  | double * | scaling_factors |
| ) |  |  | `[virtual]`

Method for computing the symmetric scaling factors, given the symmtric matrix in triplet (MA27) format.

void Ipopt::InexactTSymScalingMethod::operator= | ( | const InexactTSymScalingMethod & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::TSymScalingMethod.

InexactCq& Ipopt::InexactTSymScalingMethod::InexCq | ( |  | ) | `[inline, private]`

Method to easily access Inexact calculated quantities.

Definition at line 62 of file IpInexactTSymScalingMethod.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/Inexact/IpInexactTSymScalingMethod.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines